export function formatPartialTime(value) {
  const vs = value.split(':');
  let [a, b, c] = vs;

  a = Number(a);
  if (a < 0 || a > 23) {
    return false;
  }

  b = Number(b);
  if (a < 0 || a > 59) {
    return false;
  }

  c = Number(c);
  if (c < 0 || c > 59) {
    return false;
  }

  return true;
}


export function formatColor(value) {
  const vs = value.split(',');
  const [r, g, b, a] = vs;
  const rgb = [r, g, b];

  for (const i of rgb) {
    const t = Number(i);
    if (t < 0 || t > 255) {
      return false;
    }
  }

  const alpha = Number(a);
  if (alpha < 0 || alpha > 1) {
    return false;
  }

  return true;
}
